Description

This is my first time downloading and installing Exiv2. Since | am running OS X 10.10.1 Yosemite on a MacBook Pro (15-inch, early
2011), | downloaded the Exiv2 v0.24 Source (http://www.exiv2.org/exiv2-0.24.tar.gz) and proceeded to install it based on the
instructions "How do | build Exiv2 on the XYZ Platform" (

http://dev.exiv2.org/projects/exiv2/wiki/How_do_|_build Exiv2_on_the_XYZ_platform, accessed November 29, 2014 20:27 CET).

| installed XCode via the Apple Store and MacPorts for Yosemite (https://www.macports.org/install.php) so that | could install the
pkg-config. (Forgive me if this wasn't the quickest/easiest route to install pkg-config.)

| was able to build "configure", "install" and "samples" successfully, but the "make tests" command failed with the following error(s):

$ make tests

cd test && /Applications/Xcode.app/Contents/Developer/usr/bin/make test
/bin/sh: line 0: cd: test: No such file or directory

make: *** [tests] Error 1

| can see why the error occurs. The "tests" directory really does not exist in the "exiv2-0.24" directory.

Associated revisions

Revision 3399 - 07 Dec 2014 03:40 - Niels Kristian Bech Jensen
Really fix issue #1006: Add checks for the test directory to config/Makefile.in.

History

#1 - 29 Nov 2014 21:23 - Robin Mills

- Status changed from New to Assigned

Thanks for reporting this. You are quite correct. We don't include the test directory in our distribution bundle. The downloads page
http://exiv2.org/download.html states:

Not included in the source distribution are test data and several test drivers. To download these directly from the repository (about 34 MB),
change to your local exiv2-0.24/ directory and use the following command:

$ svn export svn://dev.exiv2.org/svn/tags/0.24/test
| will update the "how to build" notes to highlight this. The "how to build" notes have been constructed on the assumption that you're building from
trunk. I'll review those pages and clarify the situation about the test directory.

The test directory is not included in our downloads bundle for space efficiency. | believe most folks download and build exiv2 without bothering to run
the tests. So, we do not include the 34mb of test images because they are easily downloaded from svn.

| will also consider modifying the command $ make tests to either a) advise the user to download the tests, or b) to download the test files on demand.
I'll update this issue report about this when | have decided how best to deal with this. Thanks for reporting this matter.

#2 - 29 Nov 2014 21:23 - Robin Mills

- Category set to documentation

- Assignee set to Robin Mills

- Target version set to 0.25

#3 - 29 Nov 2014 21:23 - Robin Mills
- Tracker changed from Bug to Support

#4 - 29 Nov 2014 22:36 - Akiko Baldridge

| can definitely understand the space / typical usage issue. Thanks for offering a set of instructions to download them manually.

#5 - 30 Nov 2014 07:09 - Robin Mills

- Status changed from Assigned to Resolved

Fix submitted: r3395. I've updated the documentation on "how to build" and added an output alert to the command make tests

| don't want to get involved in running the command to download the test directory. The command would have to understand which test directory
should be downloaded (tags for releases, trunk/branch otherwise). It is simpler (for me) to report the URL of the documentation and leave the user to
resolve the situation.

If you disagree with my judgement about invoking svn to download the test directory on demand, | invite you to provide a patch. Remember, this has

to work for all build environments including ./configure & cmake (in and out of source) & MSVC. All supported platforms (Linux, Mac, Windows), even
when svn is not installed (which is the default on Windows).

#6 - 30 Nov 2014 07:31 - Robin Mills

- Subject changed from "tests" directory missing from Exiv2 v0.24 tar/gunzip file to Directory "test" missing from Exiv2 v0.24 tar/gunzip file

#7 - 09 Dec 2014 08:51 - Robin Mills

Thanks, Niels for r3399. This team-work stuff really works. Thank You.

Robin

#8 - 08 May 2015 16:18 - Robin Mills
- % Done changed from 0 to 100

#9 - 21 Jun 2015 16:39 - Andreas Huggel

- Status changed from Resolved to Closed
